#! /bin/sh
#file: test_use_cnt.sh
echo "////////////////////////////////////////"
echo "////////////test_use_cnt.sh////////////"
echo "////////////////////////////////////////"
o2=/usr/local/yacco2/bin/o2
tmp=/tmp/o2
if [ ! -e "$tmp" ] 
then
  mkdir $tmp
fi
cd $tmp

#echo '\input eplain' > $tmp/eplain.txt
cont=n
ccresult=0

sw1=$1
sw2=$2
sw3=$3
sw4=$4

file_no=$((0))
file_pos=$((1))
cc_lex()
{
  file_name_only="`basename $2`"
  dir_only="`dirname $2`"
  echo "%%%%%%%%%%%%%%%%target directory $dir_only"
  eval "$o2  -p $sw1 $sw2 $sw3 $sw4 $1"
  if test $ccresult -eq 1; then
    echo -n "grammar in error: continue y or n: ";
    read cont;
    if test $cont -eq n; then
      echo "Error in grammar exiting";
      exit 1;
    fi
  fi 
  eval "mpost $file_name_only.mp"
  eval "cweave $file_name_only.w"
  ##eval "cat eplain.txt $file_name_only.tex > $file_name_only.tex1"
  eval "pdftex $file_name_only.tex"
  for k in `ls * `;
  do
   #echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!Casing on $k"
   case $k in
    *.cpp|*.h) 
      eval "cp $k $dir_only/$k";
      #echo "-------------> Deleting $k"
      eval "rm -f $k" ;;
    *.scn|*.idx|*.log|*.toc)
      #echo "-------------> Deleting $k"
      eval "rm -f $k" ;;
    Err.w|T.w) # error and terminal documents to be cweave then pdftex printed by xpdf
      #echo "-------------> Deleting $k"
      #eval "rm -f $k" 
;;
    *.w)
      #echo "-------------> Deleting $k"
      eval "rm -f $k" ;;
    *.tex)
      #echo "-------------> Deleting $k"
      eval "rm -f $k" ;;
    *.mp)
      #echo "-------------> Deleting $k"
      eval "rm -f $k" ;;
    *.tex1)
      #echo "-------------> Deleting $k"
      eval "rm -f $k" ;;
    *.[1-9])
      #echo "-------------> Deleting Mpost diagrams $k"
      eval "rm -f $k" ;;
     *.[1-9][0-9]*)
      #echo "-------------> Deleting Mpost diagrams $k"
      eval "rm -f $k" ;;
   esac
  done
}

cc_lex /usr/local/yacco2/qa/test_use_cnt.lex /usr/local/yacco2/qa/test_use_cnt/test_use_cnt

